// Ready the document
jQuery(document).ready( function($) {
	// window. allows the function to be run outside of this text file (basically global)
	// Function for displaying success message
	window.alertSuccess = function (content) {
		// Calling jquery-confirm alert.
		$.alert({
			// Title
			title: 'Success!',
			// Content
			content: content,
			// Disable bootstrap (allow customization)
			useBootstrap: false,
			// Type (colour).
			type: 'green',
			// Set box-width.
			boxWidth: '30%',
			// Choose option Ok after 3 seconds.
			autoClose: 'Ok|3000',
			// Buttons/options.
				buttons: {
					// Ok
					Ok: {
					}
				}
		});
	}

	// Function for displaying success message and reload page
	window.alertSuccessReload = function (content) {
		// Calling jquery-confirm alert.
		$.alert({
			// Title
			title: 'Success!',
			// Content
			content: content,
			// Disable bootstrap (allow customization)
			useBootstrap: false,
			// Type (colour).
			type: 'green',
			// Set box-width.
			boxWidth: '30%',
			// Choose option Ok after 3 seconds.
			autoClose: 'Ok|3000',
			// Buttons/options.
				buttons: {
					// Ok
					Ok: {
						// Run action
						action: function() {
							// Reload page.
							location.reload();
						}
					}
				}
		});
	}
	// window. allows the function to be run outside of this text file (basically global)
	// Function for displaying error message
	window.alertError = function (content, color = 'red') {
		// Calling jquery-confirm alert.
		$.alert({
			// Title
			title: 'Error!',
			// Content
			content: content,
			// Disable bootstrap (allow customization)
			useBootstrap: false,
			// Type (colour).
			type: color,
			// Set box-width.
			boxWidth: '30%',
			// Buttons/options.
			buttons: {
				// Ok
				Ok: {
				}
			}
		});
	}
});
