jQuery(document).ready(function($){
	$(document).on('click', '.pema-vm-management-button', function(){
		// Get the serverID from the clicked button
		var serverid = $(this).data('server');
		$.ajax({
			url : ajax_params.ajaxurl,																//Gets ajax url
			type : 'post',																			//Sets type to be post
			data : {																				//Define what ajax will send to server
				serverid : serverid,
				security : ajax_params.ajax_nonce,													//Gets the nounce
				action : 'pema_openstack_api_restart_vm' 															//Run this function
			},
			error : function ( response ) {															//If error in ajax
				console.log(response);																//Log to console
			},
			success : function ( data ) {
				if ( data === 'Success' ) {
					alert("Your server is being restarted.");
				} else {
					console.log(data);
				}
			}
		});
	});

	$(document).on('click', '.pema-vm-management-priv-key-show', function(){
		var serverid = $(this).data('id');
		$('#pema-vm-management-priv-key-' + serverid).toggle();
	});
});