<?php
/**
* Plugin Name: 	PLED API Plugin
* Description:	This plugin is used to alter the use of the PLED API
* Author:	PEMA
*/

function pema_api_add() {
	?>
     <div id="pema-create-task-api">


        <label>Do you want to add a vulnerable application to the task?</label><br><br>
        <input type="radio" name="pema-create-task-api-answer" value="yes">Yes</input>
        <input selected type="radio" name="pema-create-task-api-answer" value="no">No</input><br><br>

        <div id="pema-create-task-api-add" style="display:none">

            <?php

            $args = array(
                'headers' => array(
                    'accept' => 'application/json',
                    'X-DreamFactory-API-Key' => 'c585d342e289fe06b314e202d4f4bae1405ea43004291da4becbdedbb75e8781'
                    ),
                'timeout' => 60,
                'sslverify' => false
            );                                                                                                                      //Prepare the arguments that are being sent
           
            $type = wp_remote_get('http://10.212.137.92/api/v2/customsearch/type', $args);
            $types = json_decode(wp_remote_retrieve_body($type));

            $platform = wp_remote_get('http://10.212.137.92/api/v2/customsearch/platform', $args);
            $platforms = json_decode(wp_remote_retrieve_body($platform));

            ?>


            <select id="pema-json-select">
                <option id="#pema-json-select-option-disabled" value="notremove" disabled selected>Apply filter to see values</option>
            <?php

        
            ?>
            </select>
            <input type="text" id="pema-json-input">
            <div id="pema-manage-tasks-for-lab-filter">
                <div id="pema-manage-tasks-for-lab-filter-platform">
                    </select><br><br>
                    <label>Sort by platform</label><br><br>
                    <?php
                    if ( !array_key_exists('error', $platforms) ) {
                            foreach ( $platforms->platform as $platformArr ) {                 //For all platforms, display a checkbox
                            ?>
                            <input type="radio" class="pema-json-checkbox" name="pema-json-platform" value="<?php echo $platformArr;?>"><?php echo $platformArr;?><br>
                            <?php
                        }
                    } else {
                        ?>
                        <p>Something went wrong, please contact the Admin</p>
                        <?php
                    }
                    ?>
                </div>

                <div id="pema-manage-tasks-for-lab-filter-type">
                    <label>Sort by type</label><br><br>
                    <?php
                    if ( !array_key_exists('error', $types) ) {
                        foreach ( $types->type as $typeArr ) {                         //For all types, display a checkbox
                            ?>
                            <input type="radio" class="pema-json-checkbox" name="pema-json-type" value="<?php echo $typeArr;?>"><?php echo $typeArr;?><br>
                            <?php
                        }
                    } else {
                        ?>
                        <p>Something went wrong, please contact the Admin</p>
                        <?php
                    }
                    
                    ?>

                </div><br><br>
                <button type="button" id="pema-manage-tasks-for-lab-filter-submit">Filter</button>
            </div>
        </div>
    </div>
<?php
}

add_action('pema_before_submit_create_task', 'pema_api_add');


function pema_api_add_script() {
	wp_register_script('pema_api_script', plugins_url('pled-api-script.js', __FILE__));
	wp_enqueue_script('pema_api_script');

	wp_register_style('pema_api_style', plugins_url('pled-api-style.css', __FILE__));
	wp_enqueue_style('pema_api_style');
}
add_action('admin_init', 'pema_api_add_script');





add_action('wp_ajax_pema_api_request', 'pema_api_request');		//Make the function executable for logged in users

function pema_api_request() {
	check_admin_referer('pema_ajax_nonce', 'security');			//Check that the nonce is correct

	$type = $_POST["type"];										//Get type
	$platform = $_POST["platform"];								//Get platform


	$args = array(
		'headers' => array(										//Prepare header
			'accept' => 'application/json',						//Accept json format
			'X-DreamFactory-API-Key' => 'c585d342e289fe06b314e202d4f4bae1405ea43004291da4becbdedbb75e8781'		//Send key
			),
		'timeout' => 60,										//Set timeout to be 1 minute
		'sslverify' => false,									//Set ssl to false
	);															//Prepare the arguments that are being sent


	if ( !empty($type) && !empty($platform) ) {																														//If both platform and type is set
		$response = wp_remote_get('http://10.212.137.92/api/v2/mongodb/_table/vuln_applications_edb?filter=(type='.$type.')and(platform='.$platform.')', $args);		//GET request with arguments, filtering both type and platform
	} elseif ( !empty($type) ) {																																		//If type is set
		$response = wp_remote_get('http://10.212.137.92/api/v2/mongodb/_table/vuln_applications_edb?filter=(type='.$type.')', $args);									//GET request with arguments, filtering only type
	} elseif ( !empty($platform) ) {																																	//If platform is set
		$response = wp_remote_get('http://10.212.137.92/api/v2/mongodb/_table/vuln_applications_edb?filter=(platform='.$platform.')', $args);							//GET request with arguments, filtering only platform
	} else {																																							//Else, i.e., no boxes where checked
		$response = wp_remote_get('http://10.212.137.92/api/v2/mongodb/_table/vuln_applications_edb', $args);															//GET request with arguments, no filterting, i.e., get everything
	}
	

	$apis = json_decode(wp_remote_retrieve_body($response));					//Retrive the body, and decode it to json


	
	wp_send_json($apis);														//Send json response to ajax, and die()
	
}