#!/bin/bash
set -e

#IMPORTANT
#!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
#This script will remove all running containers and corresponding images, EXCEPT any with the word registry in it.
#This script is designed ONLY to be used during manual testing of docker-deployment of the PEMA bachelor-thesis, and should not be used unless absolutely certain
#!!!!!!!!!!!!!!!!!!!!!!!!!!!!!

docker ps -a
echo ""
docker images
echo ""
read -p "Are you sure you want to remove all docker containers and images? y/n`echo $'\n> '`" -n 1 -r
echo ""
if [[ $REPLY =~ ^[Yy]$ ]]
then
  docker stack down Pema
  docker system prune
fi
