<!DOCTYPE html>
<?php
global $post;

// Set timezone to Oslo.
date_default_timezone_set("Europe/Oslo");

?>

<html <?php language_attributes(); ?>>
	<head>
		<meta charset="<?php bloginfo('charset');?>">
		<meta name="viewport" content="width=device-width">
		<title><?php bloginfo('name'); ?></title>
		<?php wp_head(); ?>
	</head>


<body <?php //body_class(); ?>>

<div id="pema-header">
	<div id="pema-header-url">
		<h1><a href="<?php echo home_url(); ?>"><?php bloginfo('name'); ?></a></h1>	 <!-- Gets the title of the page thats set in the wordpress dashboard -->
	</div>
	<div id="pema-logout">
		<?php
		if ( is_user_logged_in() ){ // If user is logged in
				$current_user = wp_get_current_user();														//Gets the current user
			echo "Hello, ";
			?>
			<a href="<?php echo get_author_posts_url($current_user->ID); ?>"><?php echo $current_user->user_login;?></a> 			<!--Links to the current logged in user page -->
			<a href="<?php echo wp_logout_url(); ?>">logout</a><br />
			<?php
			// Custom hook
			do_action('pema_display_in_header', $current_user->ID);
		} else {
			?>
			<a href="<?php echo wp_login_url(get_permalink()); ?>">Login</a>
		    <?php
		}
		?>
	</div>
</div>
