jQuery(document).ready(function($){
	$(document).on('submit', '#pema-post-form', function(e){						//When 'Submit' button is clicked on createPost page.
	e.preventDefault();

		var title = $('#pema-pTitle').val();									//Gets title content and puts into variable
		var content = $('#pema-pContent').val();								//Gets content content and puts into variable.

		if ( title.trim() && content.trim() ) {										//If field is not empty, it is trimmed, and ...
			$.ajax({															//Ajax.
				url : ajax_params.ajaxurl,										//Gets the ajax url.
				type : 'post',													//Sets post type.
				data : {														//Data values.
					title1 : title,													//Title.
					content1 : content, 											//Content.
					id : ajax_params.loggedinuserID,								//Gets the logged in users ID.
					security : ajax_params.ajax_nonce,								//Gets the nounce
					action : 'pema_create_post'										//Calls function pema_createPost.
				},
				error : function( response ) {									//If error in ajax.
				},
				success : function( response ) {								//If success.
					alertSuccess('New post submitted!');											//Refresh
					$('#pema-post-form')[0].reset();
				}
			});
		} else {
			alertError('Title and content cannot be empty!', 'orange');
		}
	});
});
